<?php

namespace Drupal\extra_siteinfo\Controller;

use Drupal\Core\Controller\ControllerBase;

/**
 * Extra Siteinfo controller to show the data.
 */
class ExtraSiteInfoController extends ControllerBase {

  /**
   * Callback function to render the extra siteinfo.
   */
  public function extraSiteinfoPage() {
    $output = [];
    $helper = \Drupal::service('extra_siteinfo.helper');
    $output[] = [
      '#theme' => 'extra_siteinfo_page',
      '#desc' => $this->t('This Extra Site Information contains count of nodes, content types, users & roles existing in the site.'),
      '#number_of_roles' => $helper->numberOfRoles(),
      '#number_of_users' => $helper->numberOfUsers(),
      '#number_of_active_users' => $helper->numberOfUsersByQuery('status', 1),
      '#number_of_blocked_users' => $helper->numberOfUsersByQuery('status', 0),
      '#number_of_users_by_role' => $helper->numberOfUsersByRoles(),
      '#number_of_types' => $helper->numberOfTypes(),
      '#number_of_nodes' => $helper->numberOfNodes(),
      '#number_of_published_nodes' => $helper->numberOfNodesByQuery('status', 1),
      '#number_of_unpublished_nodes' => $helper->numberOfNodesByQuery('status', 0),
      '#number_of_nodes_by_types' => $helper->numberOfNodesByTypes(),
    ];
    return $output;
  }

}
